<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/Entities/DayZAIHitComponents.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/d58/_day_z_a_i_hit_components_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">DayZAIHitComponents.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d6/d58/_day_z_a_i_hit_components_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno"><a class="line" href="../../d8/d88/class_day_z_a_i_hit_component.html">    2</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d8/d88/class_day_z_a_i_hit_component.html">DayZAIHitComponent</a></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>{</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d8/d88/class_day_z_a_i_hit_component.html#aa27c031cbb0559641eacab795dec98c5">    4</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d8/d88/class_day_z_a_i_hit_component.html#aa27c031cbb0559641eacab795dec98c5">m_Name</a>;          </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d8/d88/class_day_z_a_i_hit_component.html#a0c2041f461fc57b98e9e21d22f7ad1e5">    5</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d8/d88/class_day_z_a_i_hit_component.html#a0c2041f461fc57b98e9e21d22f7ad1e5">m_Weight</a>;           </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>};</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">    8</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>{</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">   21</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref DayZAIHitComponent&gt;</a> pHitComponents, <span class="keywordtype">string</span> pName, <span class="keywordtype">float</span> pWeight)</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <a class="code hl_class" href="../../d8/d88/class_day_z_a_i_hit_component.html">DayZAIHitComponent</a> newComponent = <span class="keyword">new</span> <a class="code hl_class" href="../../d8/d88/class_day_z_a_i_hit_component.html">DayZAIHitComponent</a>();</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        newComponent.<a class="code hl_variable" href="../../d8/d88/class_day_z_a_i_hit_component.html#aa27c031cbb0559641eacab795dec98c5">m_Name</a> = pName;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        newComponent.<a class="code hl_variable" href="../../d8/d88/class_day_z_a_i_hit_component.html#a0c2041f461fc57b98e9e21d22f7ad1e5">m_Weight</a> = pWeight;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span> </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        pHitComponents.Insert(newComponent);</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#aeb78fd553f03c4cb971bf948e69a9693">   40</a></span>    <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#aeb78fd553f03c4cb971bf948e69a9693">SelectMostProbableHitComponent</a>(<a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref DayZAIHitComponent&gt;</a> pHitComponents, out <span class="keywordtype">string</span> pHitComponent)</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordtype">int</span> weights = <a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ab7f8fbfbba9a2cfb6c96c93a9b793fa4">SumOfWeights</a>(pHitComponents);</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <span class="keywordtype">float</span> rnd = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gac34f9f8daa0e311b6a6b40cc21d38226">RandomInt</a>(0, weights);</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> i = 0; i &lt; pHitComponents.Count(); ++i )</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        {</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>            <a class="code hl_class" href="../../d8/d88/class_day_z_a_i_hit_component.html">DayZAIHitComponent</a> hitComp = pHitComponents.Get(i);</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            rnd -= hitComp.<a class="code hl_variable" href="../../d8/d88/class_day_z_a_i_hit_component.html#a0c2041f461fc57b98e9e21d22f7ad1e5">m_Weight</a>;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>            </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>            <span class="keywordflow">if</span> (rnd &lt;= 0)</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>            {</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>                pHitComponent = hitComp.<a class="code hl_variable" href="../../d8/d88/class_day_z_a_i_hit_component.html#aa27c031cbb0559641eacab795dec98c5">m_Name</a>;</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        }</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ab7f8fbfbba9a2cfb6c96c93a9b793fa4">   68</a></span>    <span class="keyword">static</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ab7f8fbfbba9a2cfb6c96c93a9b793fa4">SumOfWeights</a>(<a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref DayZAIHitComponent&gt;</a> pHitComponents)</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    {</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <span class="keywordtype">int</span> sum = 0;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span> </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <span class="keywordflow">for</span>( <span class="keywordtype">int</span> i = 0; i &lt; pHitComponents.Count(); ++i )</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        {</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>            <a class="code hl_class" href="../../d8/d88/class_day_z_a_i_hit_component.html">DayZAIHitComponent</a> hitComp = pHitComponents.Get(i);</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>            sum += hitComp.<a class="code hl_variable" href="../../d8/d88/class_day_z_a_i_hit_component.html#a0c2041f461fc57b98e9e21d22f7ad1e5">m_Weight</a>;</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        }</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        <span class="keywordflow">return</span> sum;</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    }</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>};</div>
<div class="ttc" id="aclass_day_z_a_i_hit_component_helpers_html"><div class="ttname"><a href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d58/_day_z_a_i_hit_components_8c_source.html#l00008">DayZAIHitComponents.c:9</a></div></div>
<div class="ttc" id="aclass_day_z_a_i_hit_component_helpers_html_ab7f8fbfbba9a2cfb6c96c93a9b793fa4"><div class="ttname"><a href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ab7f8fbfbba9a2cfb6c96c93a9b793fa4">DayZAIHitComponentHelpers::SumOfWeights</a></div><div class="ttdeci">static int SumOfWeights(array&lt; ref DayZAIHitComponent &gt; pHitComponents)</div><div class="ttdoc">Calculates the sum of all entries in DayZAIHitComponent array.</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d58/_day_z_a_i_hit_components_8c_source.html#l00068">DayZAIHitComponents.c:68</a></div></div>
<div class="ttc" id="aclass_day_z_a_i_hit_component_helpers_html_ae1dc9c959de0e6214f40746974daaa9e"><div class="ttname"><a href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">DayZAIHitComponentHelpers::RegisterHitComponent</a></div><div class="ttdeci">static void RegisterHitComponent(array&lt; ref DayZAIHitComponent &gt; pHitComponents, string pName, float pWeight)</div><div class="ttdoc">Register Hit Component for AI targeting.</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d58/_day_z_a_i_hit_components_8c_source.html#l00021">DayZAIHitComponents.c:21</a></div></div>
<div class="ttc" id="aclass_day_z_a_i_hit_component_helpers_html_aeb78fd553f03c4cb971bf948e69a9693"><div class="ttname"><a href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#aeb78fd553f03c4cb971bf948e69a9693">DayZAIHitComponentHelpers::SelectMostProbableHitComponent</a></div><div class="ttdeci">static bool SelectMostProbableHitComponent(array&lt; ref DayZAIHitComponent &gt; pHitComponents, out string pHitComponent)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d58/_day_z_a_i_hit_components_8c_source.html#l00040">DayZAIHitComponents.c:40</a></div></div>
<div class="ttc" id="aclass_day_z_a_i_hit_component_html"><div class="ttname"><a href="../../d8/d88/class_day_z_a_i_hit_component.html">DayZAIHitComponent</a></div><div class="ttdoc">holds hit components and its weights for attack from AI (used on each type - DayZPlayerType,...</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d58/_day_z_a_i_hit_components_8c_source.html#l00002">DayZAIHitComponents.c:3</a></div></div>
<div class="ttc" id="aclass_day_z_a_i_hit_component_html_a0c2041f461fc57b98e9e21d22f7ad1e5"><div class="ttname"><a href="../../d8/d88/class_day_z_a_i_hit_component.html#a0c2041f461fc57b98e9e21d22f7ad1e5">DayZAIHitComponent::m_Weight</a></div><div class="ttdeci">int m_Weight</div><div class="ttdoc">&quot;Head&quot;, &quot;Torso&quot;, etc.</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d58/_day_z_a_i_hit_components_8c_source.html#l00005">DayZAIHitComponents.c:5</a></div></div>
<div class="ttc" id="aclass_day_z_a_i_hit_component_html_aa27c031cbb0559641eacab795dec98c5"><div class="ttname"><a href="../../d8/d88/class_day_z_a_i_hit_component.html#aa27c031cbb0559641eacab795dec98c5">DayZAIHitComponent::m_Name</a></div><div class="ttdeci">string m_Name</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d58/_day_z_a_i_hit_components_8c_source.html#l00004">DayZAIHitComponents.c:4</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_gac34f9f8daa0e311b6a6b40cc21d38226"><div class="ttname"><a href="../../d5/d98/group___math.html#gac34f9f8daa0e311b6a6b40cc21d38226">Math::RandomInt</a></div><div class="ttdeci">static proto int RandomInt(int min, int max)</div><div class="ttdoc">Returns a random int number between and min [inclusive] and max [exclusive].</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_52b4874e80dc11cbd39c955e2d94192b.html">Entities</a></li><li class="navelem"><a class="el" href="../../d6/d58/_day_z_a_i_hit_components_8c.html">DayZAIHitComponents.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
